CADxp: Selection blocs touchés par x splines - CADxp

Aller au contenu

  • 2 Pages +
  • 1
  • 2

Selection blocs touchés par x splines

#21 L'utilisateur est hors-ligne   bonuscad 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 4669
  • Inscrit(e) : 20-juin 03

Posté 28 mars 2019 - 09:58

En reprenant ton exemple précédent, en plus du nom correct, il faut bien mettre aussi *U (mais précédé d'une apostrophe inverse)
exemple:
(ssget "_X" (list '(0 . "INSERT") '(2 . "00_CPR_LD_LFA,`*U*")))
En effet même si à l'insertion du bloc dynamique avec ses valeurs paramétriques par défaut à bien son nom, dès l'édition de l'insertion avec attribution d'autres valeurs paramétrées, celui-ci va changer de nom (par contre dans la palette de propriété, c'est toujours l'effectivename qui s'affiche)
Pour t'en assurer fais un (entget (car (entsel))) sur un bloc dynamique où tu as appliqué d'autre valeurs paramétrique que celle par défaut et regarde ce qui associé au code DXF 2.

Ah les blocs dynamiques...! Image IPB


Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius
0

#22 L'utilisateur est hors-ligne   Topheur 

  • ceinture verte
  • Groupe : Membres
  • Messages : 93
  • Inscrit(e) : 05-janvier 16

Posté 29 mars 2019 - 17:50

Voir le messagebonuscad, le 28 mars 2019 - 09:58 , dit :

En reprenant ton exemple précédent, en plus du nom correct, il faut bien mettre aussi *U (mais précédé d'une apostrophe inverse)
exemple:
(ssget "_X" (list '(0 . "INSERT") '(2 . "00_CPR_LD_LFA,`*U*")))
En effet même si à l'insertion du bloc dynamique avec ses valeurs paramétriques par défaut à bien son nom, dès l'édition de l'insertion avec attribution d'autres valeurs paramétrées, celui-ci va changer de nom (par contre dans la palette de propriété, c'est toujours l'effectivename qui s'affiche)
Pour t'en assurer fais un (entget (car (entsel))) sur un bloc dynamique où tu as appliqué d'autre valeurs paramétrique que celle par défaut et regarde ce qui associé au code DXF 2.

Ah les blocs dynamiques...! Image IPB


Bonjour bonuscad,

Désolé de ne pas avoir répondu hier...
C'est parfait, ça marche.
Il ne me reste plus qu'à adapter le tout.

Sujet clos.

Je te dis au prochain Lisp :P
0

#23 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8323
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 30 mars 2019 - 08:44

Coucou

J
'ai enfin posé ma copie à sa place : ICI

A
micalement


Éternel débutant ...
Programmer AutoCAD
0

#24 L'utilisateur est hors-ligne   Topheur 

  • ceinture verte
  • Groupe : Membres
  • Messages : 93
  • Inscrit(e) : 05-janvier 16

Posté 30 mars 2019 - 11:23

Merci didier,

J'en ai profité pour regarder ton site et celui-ci m'a permis de trouver un début de réponse sur la commande getstring.

J'ai besoin d'une variable n_CLIENT (nom du client) qui peut comporter un espace.

j'ai donc écrit la ligne suivante
(setq n_CLIENT (getstring  "Cr" "\nEntrer le nom du client :"))


L'espace fonctionne MAIS en question utilisateur j'ai Cr au lieu de ma question Entrer le nom du client.

J'ai essayé avec des parenthèses, sans les "", avec des [] mais rien ni fait :(

Un coup de pouce :P
0

#25 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8323
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 30 mars 2019 - 12:08

Coucou

Hors-sujet mais je te réponds tout de même
La prochaine fois que tu détectes une erreur utilise le formulaire de contact...

Pour pouvoir entrer une espace (ou plus) avec la fonction getstring
Il faut utiliser la syntaxe (avec un T)

(setq var (getstring
T "\nbla bla ...\n"))

Merci de ta remarque je vais corriger l'erreur sur ma page da-code..

Amicalement

Éternel débutant ...
Programmer AutoCAD
0

#26 L'utilisateur est hors-ligne   Topheur 

  • ceinture verte
  • Groupe : Membres
  • Messages : 93
  • Inscrit(e) : 05-janvier 16

Posté 30 mars 2019 - 12:24

Ok, c'est noté et la réponse fonctionne merci
0

Partager ce sujet :


  • 2 Pages +
  • 1
  • 2


Réponse rapide

  

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)